常见参数
这些参数适用于所有 Amazon type。特定于类型的参数(例如 type=product 的 asin,或卖家类型的 seller_id)位于各自的端点页面上。
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API 密钥 |
engine | string | yes | 必须为 amazon |
type | string | yes | 指定查询类型(search、product、bestsellers、deals、category、seller_profile、seller_products、seller_feedback) |
domain | string | no | 目标市场(例如 amazon.co.uk、amazon.de)。默认值为 amazon.com |
device | desktop | mobile | no | 模拟的设备 |
page | integer | no | 分页类型的页码 |
output | json | html | no | 响应格式。默认值为 json |
Device and marketplace examples
Section titled “Device and marketplace examples”美国桌面版电子产品畅销榜:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers&category_id=electronics&domain=amazon.com"德国移动版搜索:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=laptop&domain=amazon.de&device=mobile"Pagination
Section titled “Pagination”page 从 1 开始索引。当响应中包含 next_page URL 时,可直接访问该 URL,或递增 page 的值。
# Page 1curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=1"
# Page 2curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=2"